Filter employees in a group
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/employees \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/employees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"offset": 0,
"page_num": 1,
"page_size": 20,
"total_records": 1
},
"response": [
{
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"type": "salary",
"unit": "annual"
}
},
"group_id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"id": "30b74a44-d5b1-4123-a7a4-6d3aec251ba4",
"location_id": "bd957820-4652-4ee7-8a3a-6413df21e28d",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1981-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"marital_status": "",
"sex": "M",
"ssn": "123456789"
},
"version": "6260146a-3486-4c3d-b2a6-fcd3f8c84043"
}
]
}Employees
Get Group Employee List
Filter employees within a group.
GET
/
api
/
v1
/
groups
/
{group_id}
/
employees
Filter employees in a group
There may be some cases where you wish to find a specific employee in a group, but do not know their Noyo
The filtering is not case-sensitive and it does not require an exact match on the value (e.g. searching for “ann” will match against “Ann” as well as “Annie”).
id. We provide a way to filter your employee list for a given group via query parameters. The following parameters are accepted by the API in the query string:
| Parameter | Type | Description |
|---|---|---|
date_of_birth | date | ISO-8601 date string for the date of birth of the employee to be filtered on |
first_name | string | First name of the employee to be filtered on |
last_name | string | Last name of the employee to be filtered on |
name | string | A name search for all name fields for the employee to be filtered on |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for which you would like to view employees
Example:
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Query Parameters
The max size of each page of results
The integer offset at which to start the page. Possible values are 0 to total_records - 1
The employee first name for which you would like to filter
The employee last name for which you would like to filter
The employee's name for which you would like to filter
The ISO-8601 (YYYY-MM-DD) employee date of birth for which you would like to filter
Status of the employees employment
Was this page helpful?
